corda / net.corda.contracts.testing / DummyLinearContract / State

# State

`data class State : LinearState`

### Constructors

<init> | `State(linearId: UniqueIdentifier = UniqueIdentifier(), contract: Contract = DummyLinearContract(), participants: List<CompositeKey> = listOf(), nonce: SecureHash = SecureHash.randomSHA256())`

### Properties

contract | `val contract: Contract` An instance of the contract class that will verify this state.
linearId | `val linearId: UniqueIdentifier` Unique id shared by all LinearState states throughout history within the vaults of all parties. Verify methods should check that one input and one output share the id in a transaction, except at issuance/termination.
nonce | `val nonce: SecureHash`
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.

### Functions

isRelevant | `fun isRelevant(ourKeys: Set<PublicKey>): Boolean` True if this should be tracked by our vault(s).